ViennaCL - The Vienna Computing Library: tests/src/qr_method.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
qr_method.cpp File Reference
`#include <iostream>`
`#include <fstream>`
`#include <stdexcept>`
`#include <vector>`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/linalg/qr-method.hpp"`
`#include "viennacl/tools/timer.hpp"`
`#include <boost/numeric/ublas/vector.hpp>`
`#include <boost/numeric/ublas/matrix.hpp>`

Go to the source code of this file.

## Functions
void | read_matrix_size (std::fstream &f, std::size_t &sz)
template<typename NumericT , typename MatrixLayout >
void | read_matrix_body (std::fstream &f, viennacl::matrix< NumericT, MatrixLayout > &A)
template<typename NumericT >
void | read_vector_body (std::fstream &f, std::vector< NumericT > &v)
template<typename NumericT , typename MatrixLayout >
bool | check_tridiag (viennacl::matrix< NumericT, MatrixLayout > &A_orig, NumericT EPS)
template<typename NumericT , typename MatrixLayout >
bool | check_hessenberg (viennacl::matrix< NumericT, MatrixLayout > &A_orig, NumericT EPS)
template<typename NumericT >
NumericT | matrix_compare (ublas::matrix< NumericT > &res, ublas::matrix< NumericT > &ref)
template<typename NumericT >
NumericT | vector_compare (std::vector< NumericT > &res, std::vector< NumericT > &ref)
template<typename NumericT , typename MatrixLayout >
void | matrix_print (viennacl::matrix< NumericT, MatrixLayout > &A)
template<typename NumericT , typename MatrixLayout >
void | test_eigen (const std::string &fn, bool is_symm, NumericT EPS)
int | main ()

## Detailed Description

Tests the eigenvalue routines based on the QR method.

Test:
  Tests the eigenvalue routines based on the QR method.

Definition in file qr_method.cpp.

## Function Documentation

template<typename NumericT , typename MatrixLayout >

bool check_hessenberg | ( | viennacl::matrix< NumericT, MatrixLayout > & | A_orig,
|  | NumericT | EPS
| ) |  |

Definition at line 111 of file qr_method.cpp.

template<typename NumericT , typename MatrixLayout >

bool check_tridiag | ( | viennacl::matrix< NumericT, MatrixLayout > & | A_orig,
|  | NumericT | EPS
| ) |  |

Definition at line 93 of file qr_method.cpp.

int main | ( |  | ) |

Examples:
  qr_method.cpp.

Definition at line 295 of file qr_method.cpp.

template<typename NumericT >

NumericT matrix_compare | ( | ublas::matrix< NumericT > & | res,
|  | ublas::matrix< NumericT > & | ref
| ) |  |

Definition at line 129 of file qr_method.cpp.

template<typename NumericT , typename MatrixLayout >

void matrix_print | ( | viennacl::matrix< NumericT, MatrixLayout > & | A | ) |

Definition at line 166 of file qr_method.cpp.

template<typename NumericT , typename MatrixLayout >

void read_matrix_body | ( | std::fstream & | f,
|  | viennacl::matrix< NumericT, MatrixLayout > & | A
| ) |  |

Definition at line 59 of file qr_method.cpp.

void read_matrix_size | ( | std::fstream & | f,
|  | std::size_t & | sz
| ) |  |

Definition at line 48 of file qr_method.cpp.

template<typename NumericT >

void read_vector_body | ( | std::fstream & | f,
|  | std::vector< NumericT > & | v
| ) |  |

Definition at line 80 of file qr_method.cpp.

template<typename NumericT , typename MatrixLayout >

void test_eigen | ( | const std::string & | fn,
|  | bool | is_symm,
|  | NumericT | EPS
| ) |  |

Definition at line 176 of file qr_method.cpp.

template<typename NumericT >

NumericT vector_compare | ( | std::vector< NumericT > & | res,
|  | std::vector< NumericT > & | ref
| ) |  |

Definition at line 148 of file qr_method.cpp.